var indexi = 1;

window.setInterval(automaattinenVaihto, 10000);

function automaattinenVaihto() {
    indexi++;
    kuvanNaytto(indexi);
}

kuvanNaytto(indexi);

function kuvanVaihto(n) {
    kuvanNaytto(indexi += n);
}

function nykyinenKuva(n) {
    kuvanNaytto(indexi = n);
}

function kuvanNaytto(n) {
    var i;
    if (n > document.getElementById("talue").getElementsByClassName("sld").length) {
        indexi = 1
    }
    if (n < 1) {
        indexi = document.getElementById("talue").getElementsByClassName("sld").length;
    }
    for (i = 0; i < document.getElementById("talue").getElementsByClassName("sld").length; i++) {
        document.getElementById("talue").getElementsByClassName("sld")[i].style.display = "none";
    }
    for (i = 0; i < document.getElementById("talue").getElementsByClassName("piste").length; i++) {
        document.getElementById("talue").getElementsByClassName("piste")[i].className = document.getElementById("talue").getElementsByClassName("piste")[i].className.replace(" active", "");
    }
    document.getElementById("talue").getElementsByClassName("sld")[indexi-1].style.display = "block";
    document.getElementById("talue").getElementsByClassName("piste")[indexi-1].className += " active";
}
